<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class Team extends Model
{
    use SoftDeletes;

    //protected $fillable = ['party_id', 'bldg_property_name', 'street_name', 'postcode', 'country_id'];

    protected $table = 'teams';

    public static function boot()
    {
        //parent::boot();
        //Developer::observe(new \App\Observers\UserActionsObserver);
    }

    public function manager() {
        return $this->belongsTo(Agent::class, 'um_id');
    }

}
